<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::create('other_language_tour_guide', function (Blueprint $table) {
            $table->id();
            $table->foreignId('tour_guide_id')->constrained()->onDelete('cascade');
            $table->foreignId('other_language_id')->constrained()->onDelete('cascade');
            $table->timestamps();
        });
    }


    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('other_language_tour_guide');
    }
};
